<?php use_helper( 'UrlFunctions' ); ?>
<?php use_helper( 'IncludePartial' ); ?>
<!-- 
<div class="shadow-sm p-3 mb-2 bg-white rounded card card-body">
    <div class="row">
        <div class="col mb-1">
            <h4 class="text-info text-nowrap mb-0"> xxx </h4>
        </div>
    </div>
</div>
-->

<script>
saveForm = function()
{
    x = confirm( "Esta seguro de grabar el formulario?" );
    if( x )
    {
        blockContent( 'content_buttons' );
        var strFormSerialize = $( 'form' ).serialize();
        executeAjaxJson
        ( 
            "<?php echo buildUrl( 'asoguias/updateAssocFact' ) ?>", 
            strFormSerialize,
            function( o_json )
            {
                unBlockContent( 'content_buttons' );
                if( o_json.error )
                {
                    showAlertBootStrap( 'content_alert', 'alert-danger', o_json.mensaje_error );
                    return false;
                }
                parent.findControl();
                parent.closeWindows();
            } 
        );
    }
    return false;
}
</script>

<script>
calcularMontos = function( conIGV )
{
    id_precio_venta_igv = "TotalFactura";
    id_precio_venta     = "MontoFactura";
    id_monto_igv        = "IGVFactura";

    if( conIGV )
    {
    	if( $( "#" + id_precio_venta_igv ).val() == "" )
    	{
            return false;
    	}
        
        var precio_venta_igv = parseFloat( $( "#" + id_precio_venta_igv ).val() );
        
        precio_venta = redondear( ( precio_venta_igv / 1.18 ), 13 );

        monto_igv = redondear( ( precio_venta * 0.18 ), 13 );
        monto_igv = redondear( monto_igv, 2 );

        precio_venta = redondear( precio_venta, 2 );

        pr( precio_venta_igv );
        pr( monto_igv );
        pr( precio_venta );

        $( "#" + id_precio_venta ).val( precio_venta );
        $( "#" + id_monto_igv ).val( monto_igv );
    }
    else
    {
    	if( $( "#" + id_precio_venta ).val() == "" )
    	{
            return false;
    	}
        
        var precio_venta = parseFloat( $( "#" + id_precio_venta ).val() );
        
        //precio_venta = redondear( ( precio_venta_igv / 1.18 ), 13 );

        monto_igv = redondear( ( precio_venta * 0.18 ), 13 );
        monto_igv = redondear( monto_igv, 2 );

        precio_venta_igv = precio_venta + monto_igv;

        pr( precio_venta_igv );
        pr( monto_igv );
        pr( precio_venta );

        $( "#" + id_precio_venta_igv ).val( precio_venta_igv );
        $( "#" + id_monto_igv ).val( monto_igv );
    }

    var monto_inafecto = parseFloat( $( "#MontoFacturaInafecto" ).val() );
    var monto_total    = parseFloat( $( "#TotalFactura" ).val() );
    $( "#TotalFactura" ).val( monto_inafecto + monto_total );
}
</script>

<form name="form1" id="form1" method="POST" action="" onsubmit="return saveForm();">
	<input type="hidden" name="IdConcat"  id="IdConcat"  value="<?=$IdConcat?>">
    
    <div id="content_alert" style=""></div>
        
    <div class="form-row mx-0">
        <div class="col-md-6 mb-1">
            <label class="col-form-label" for="TipoDoc">Tipo Documento</label>
            <select class="form-control form-control-sm custom-select my-0 mr-sm-2" id="TipoDoc" name="TipoDoc" required>
                <option value=""> - SELECCIONE - </option>
                <?php foreach ( VTA_TipoDocumentoFN::buscarDocParaLogistica() as $o_VTA_TipoDocumentoBN ) { ?>
                <option value="<?=$o_VTA_TipoDocumentoBN->getIdTipoDocumento()?>" <?php if( $s_TipoDoc==$o_VTA_TipoDocumentoBN->getIdTipoDocumento() ){ echo "SELECTED"; } ?> > <?=$o_VTA_TipoDocumentoBN->getDescripcionLocal()?> </option>
                <?php } ?>
            </select>
        </div>
        <div class="col-md-6 mb-1">
            <label class="col-form-label" for="FechaFactura">Fecha Documento</label>
            <input type="text" class="form-control text-center" name="FechaFactura" id="FechaFactura" placeholder="" value="<?=$d_FechaFactura?>" autocomplete="off" >
            <script type="text/javascript">
            $( "#FechaFactura" ).datepicker( { dateFormat: "yy-mm-dd", changeYear:true, yearRange: "-1:+1", changeMonth: true, onClose: function (){ this.focus(); } } );
            </script>
        </div>
    </div>
    
    <div class="form-row mx-0">
        <div class="col-md-6 mb-1">
            <label class="col-form-label" for="SerieFactura">Serie Documento</label>
            <input type="text" class="form-control text-center" name="SerieFactura" id="SerieFactura" value="<?=$s_SerieFactura?>" onfocus="this.select();" autocomplete="off">
        </div>
        <div class="col-md-6 mb-1">
            <label class="col-form-label" for="NumeroFactura">Numero Documento</label>
            <input type="text" class="form-control text-center" name="NumeroFactura" id="NumeroFactura" value="<?=$s_NumeroFactura?>" onfocus="this.select();" autocomplete="off">
        </div>
    </div>
    
    <div class="form-row mx-0">
        <div class="col-md-6 mb-1">
            <label class="col-form-label" for="TotalFactura">Total Documento</label>
            <input type="text" class="form-control" name="TotalFactura" id="TotalFactura" value="<?=$f_BrutoTotal?>" onfocus="this.select();" onblur="calcularMontos( true )" autocomplete="off">
        </div>
        <div class="col-md-6 mb-1">
            <label class="col-form-label" for="MontoFactura">Sub-Total Documento ( Afecto )</label>
            <input type="text" class="form-control" name="MontoFactura" id="MontoFactura" value="<?=$f_SubTotal?>" onfocus="this.select();" onblur="calcularMontos( false )" autocomplete="off">
        </div>
    </div>
    
    <div class="form-row mx-0">
        <div class="col-md-6 mb-1">
            <label class="col-form-label" for="IGVFactura">IGV Documento</label>
            <input type="text" class="form-control" name="IGVFactura" id="IGVFactura" value="<?=$f_IgvTotal?>" onfocus="this.select();" autocomplete="off">
        </div>
        <div class="col-md-6 mb-1">
            <label class="col-form-label" for="MontoFacturaInafecto">Sub-Total Documento ( Inafecto )</label>
            <input type="text" class="form-control" name="MontoFacturaInafecto" id="MontoFacturaInafecto" value="<?=$f_Inafecto?>" onfocus="this.select();" onblur="calcularMontos( true );" autocomplete="off">
        </div>
    </div>
    
    <div class="form-row mx-0">
        <div class="col-md-12 mb-1">
            <label for="Comentario" class="col-form-label">Comentario:</label>
            <textarea class="form-control" id="Comentario" name="Comentario" rows="3" ><?=$s_Comentario?></textarea>
        </div>
    </div>

    <div class="dropdown-divider"></div>

    <div class="form-row mx-0" style="" id="content_buttons">
        <div class="col-md-6 mb-1">
            <button type="button" class="btn btn-primary btn-lg btn-block" onclick="parent.closeWindows();">CANCELAR</button>
        </div>
        
        <div class="col-md-6 mb-1">
            <button type="submit" class="btn btn-primary btn-lg btn-block" onclick="$( '#TypeSub' ).val( '1' );">GRABAR Y SALIR</button>
        </div>
    </div>
    
</form>
